LHAPDF-GETDATA(1)

NAME
lhapdf-getdata - Get PDF sets from the LHAPDF repository

SYNOPSIS
lhapdf-getdata [--main] [--all] [--repo=URL] [--dest=DEST] [--dryrun] <name|number> [<name|number> ...]

DESCRIPTION

Grab PDF grid and param files from the LHAPDF repository and install them into the local LHAPDF data directory.

OPTIONS

-h, --help
    show this help message and exit

--repo=URL
    Base URL of online sets repository (http://www.hepforge.org/archive/lhapdf/pdfsets/current)

--dest=DEST
    PDF sets directory to install to (/usr/share/lhapdf/PDFsets)

--all
    Get ALL sets (this will be hundreds of megabytes... be careful!)

--list
    Just list available files

--force
    Overwrite existing files

--dryrun
    Don't actually do any downloading

-Q, --quiet
    Suppress normal messages

-V, --verbose
    Add extra debug messages

EXAMPLES

Show all available sets:
    lhapdf-getdata --list

Get all NNPDF PDFs with pattern matching:
    lhapdf-getdata NNPDF

Get CTEQ6L1, CTEQ66, MRST-S LO* and LO** PDFs with pattern matching:
    lhapdf-getdata CTEQ6ll CTEQ66 lomod MCal

Get MSTW2008 68% confidence PDF by full name:
    lhapdf-getdata MSTW2008lo68cl.LHgrid

See how much downloading would be involved in getting all PDF sets:
    lhapdf-getdata --all --dryrun

I'm hardcore, give me the whole collection:
    lhapdf-getdata --all

AUTHOR
This manual page was written by Lifeng Sun <lifongsun@gmail.com> for the Debian system (but may be used by others).